micro_utils.dokka
0.15.1

# ByTimerUtilizer

class ByTimerUtilizer(removeMillis: Long, scope: CoroutineScope) : TemporalFilesRoutingConfigurator.TemporalFilesUtilizer

## Constructors

ByTimerUtilizer
Link copied to clipboard
fun ByTimerUtilizer(removeMillis: Long, scope: CoroutineScope)

## Functions

start
Link copied to clipboard
open override fun start(filesMap: MutableMap<TemporalFileId, MPPFile>, filesMutex: Mutex, onNewFileFlow: Flow<TemporalFileId>): Job